	
label.type-checkbox{
	position 	: relative;
	margin-left : 20px;		
	cursor 		: pointer;
	font-family : $font_family;

	input[type=checkbox]{
		&:empty{
			display    : none; 	
			visibility : hidden;
		}
		&:checked ~ div {	
			border-color  : $blue_bold;
			&::before{
				background-color  : $blue_bold;
			}
		}
		&:disabled ~ div{		
			border-color  : $gray;
			&:before{	
				background-color : $gray;
			}
		}
	}	
	div{		
		-moz-border-radius    : 2px;	
		-webkit-border-radius : 2px;
		border-radius         : 2px;

		width                 : 10px; height:10px;
		border                : 2px solid $blue;
		position              : absolute;	
		top                   : 6px;
		left                  : -20px;
		-webkit-transition    : border-color 0.3s ease-in-out;
		-moz-transition       : border-color 0.3s ease-in-out;
		transition            : border-color 0.3s ease-in-out;
		&::before{		
			-moz-border-radius    : 1px;
			-webkit-border-radius : 1px;
			border-radius         : 1px;
			-webkit-transition    : border-color 0.3s ease-in-out;
			-moz-transition       : border-color 0.3s ease-in-out;
			transition            : border-color 0.3s ease-in-out;
			background-color      : #fff;
			content               : '';
			display               : inline-block;
			height                : 6px;	
			width                 : 6px;
			vertical-align        : middle;
			position              : absolute;
			left                  :2px;
			top                   :2px;	
		}					
	}		
}
